Jump to content

SUBIECTE NOI
« 1 / 5 »
RSS
Info Coronavirus/Vaccinare vs Fake News

Alergie sau altceva?

Perseidele

Samsung doreste ca pana in 2025 n...
 Despre "Drugtest 5000"

La multi ani @pufonel!

lichid racire Tico Daewoo

Laptop Asus nou cu ssd 980gb scri...
 Multimedia, Office - AV1, x265 De...

Platformele online schimba ordine...

Impas succesiune

Share imagini iPhone HEIC?
 xiaomi se blocheaza

Carbonaut, not great, not terribl...

Amplificare semnal GSM

Oneplus 10T
 

Arch Linux- probleme generale

- - - - -
  • Please log in to reply
276 replies to this topic

#19
AnbuBlack

AnbuBlack

    Member

  • Grup: Members
  • Posts: 469
  • Înscris: 25.01.2012

View Postqlimax1975, on 06 august 2016 - 15:20, said:


Am instalat tot din aur si tv-maxe, apare iconita dupa install, dar nu se deschide....

Rulează-l din terminal și vezi ce eroare îți dă, s-ar putea să mai trebuiască vreo dependință înstalată. Pachetul face probleme de mai mult timp și cum sugerează cineva la comentari, PKGBUILD-ul ar trebui rescris.

#20
shogun1

shogun1

    Cranky old n00b ☯

  • Grup: Senior Members
  • Posts: 7,540
  • Înscris: 31.01.2009
Ce nu-ti iese? Poti cauta in terminal un pachet din AUR cu:
yaourt tv-maxe

il poti instala dupa numarul sau sau il poti instala direct cu:
yaourt -S tv-maxe-git

Asta daca folosesti yaourt. Citeste te rog ghidul de instalare si ghidul incepatorului, sunt pe wiki, sunt in romana pe forumul local- wiki, si colegul @AnbuBlack a scris o serie: http://www.rpc-forum...read.php?t=4131

#21
qlimax1975

qlimax1975

    Member

  • Grup: Members
  • Posts: 746
  • Înscris: 07.03.2010

View PostAnbuBlack, on 06 august 2016 - 15:15, said:

Tot ce trebuie să instalezi este GStreamer. Citește Wiki-ul și urmează pași de acolo. Arch Linux nu este Ubuntu & Co. Dacă îți este greu să citești atunci Arch Linux nu este pentru time. Arch Linux nu este pentru oameni leneși!

aici nu e vorba de lenes...e vorba de timp....am doi copii mici si un job, cu timpul stau foarte prost. sunt aici pentru a fi ajutat (daca se vrea). daca aveam timp fi sigur ca citeam prima data, si asa ma documentez cand pot, dar magandeam ca e mai rapid sa cer sfaturi de la oameni care deja au trecut prin asta...

#22
shogun1

shogun1

    Cranky old n00b ☯

  • Grup: Senior Members
  • Posts: 7,540
  • Înscris: 31.01.2009
Ok, instaleaza numai gstreamer (pacman -S gstreamer).

#23
qlimax1975

qlimax1975

    Member

  • Grup: Members
  • Posts: 746
  • Înscris: 07.03.2010

View Postshogun1, on 06 august 2016 - 15:34, said:

Ce nu-ti iese? Poti cauta in terminal un pachet din AUR cu:
yaourt tv-maxe

il poti instala dupa numarul sau sau il poti instala direct cu:
yaourt -S tv-maxe-git

Asta daca folosesti yaourt. Citeste te rog ghidul de instalare si ghidul incepatorului, sunt pe wiki, sunt in romana pe forumul local- wiki, si colegul @AnbuBlack a scris o serie: http://www.rpc-forum...read.php?t=4131

asta e eroarea:

tv-maxe-git 0.11+r43.0906f69-1  (2015-08-15 22:54)
( Unsupported package: Potentially dangerous ! )
==> Edit PKGBUILD ? [Y/n] ("A" to abort)
==> ------------------------------------
==> y

Please add $VISUAL to your environment variables
for example:
export VISUAL="vim" (in ~/.bashrc)
(replace vim with your favorite editor)

==> Edit PKGBUILD with:  vim

/usr/lib/yaourt/util.sh: line 227: vim: command not found
==> ERROR: Running makepkg as root is not allowed as it can cause permanent,
catastrophic damage to your system.
Unable to read PKGBUILD

View Postshogun1, on 06 august 2016 - 15:39, said:

Ok, instaleaza numai gstreamer (pacman -S gstreamer).

dupa ce am instalat:

Your GStreamer installation is missing a plug-in.

#24
AnbuBlack

AnbuBlack

    Member

  • Grup: Members
  • Posts: 469
  • Înscris: 25.01.2012
Omule, oricâte sfaturi ți-am da noi, trimiterea la wiki și cititul acesteia acoperă partea neplăcută a lui Arch Linux (schimbarea în mod constant a unor setări/configurări ale sistemului). Spre ex fișierul standard xinitrc (cel care conține config-ul de start al lui Xorg) se găsea în /etc/skel, mai nou l-au mutat în /etc/X11/xinit/xinitrc, de asta te tot trimit la wiki.

#25
qlimax1975

qlimax1975

    Member

  • Grup: Members
  • Posts: 746
  • Înscris: 07.03.2010

View PostAnbuBlack, on 06 august 2016 - 15:29, said:


Rulează-l din terminal și vezi ce eroare îți dă, s-ar putea să mai trebuiască vreo dependință înstalată. Pachetul face probleme de mai mult timp și cum sugerează cineva la comentari, PKGBUILD-ul ar trebui rescris.

asta e :

raceback (most recent call last):
  File "tvmaxe.py", line 39, in <module>
    import dbus
ImportError: No module named dbus

#26
AnbuBlack

AnbuBlack

    Member

  • Grup: Members
  • Posts: 469
  • Înscris: 25.01.2012
sudo pacman -S python2-dbus

#27
qlimax1975

qlimax1975

    Member

  • Grup: Members
  • Posts: 746
  • Înscris: 07.03.2010
Am reusit cu codecurile, le-am instalat separat si au mers. Mai ramane tv-maxe ;(

#28
shogun1

shogun1

    Cranky old n00b ☯

  • Grup: Senior Members
  • Posts: 7,540
  • Înscris: 31.01.2009
Sunt mai multe neconcordanțe:
- yaourt nu se folosește ca root, ci ca user normal;
- nu ai instalat vim, îl instalezi sau dacă preferi altceva (nano) trebuie instalat și adăugat în .bashrc (export VISUAL="nano") pentru editări fișiere de configurare;
- dependențe lipsă (ai instalat ce-a spus colegul nostru mai sus: sudo pacman -S python2-dbus?).
Încearcă cu:
yaourt -S --noconfirm tv-maxe-git


LE: iar partea cu pacman -S gstreamer0.10-{{bad,good,ugly,base}{,-plugins},ffmpeg libdvdcss era greșită, am copiat-o de pe forumul Arch (https://bbs.archlinu...=898397#p898397) fără s-o verific (eram pe tabletă Android, scuze!). Corect era pacman -S gstreamer0.10-{bad,good,ugly,base,plugins} FFMpeg libdvdcss, comandă dată ca root sau precedată de sudo. Nu uita, pacman se folosește ca root sau cu sudo, yaourt, packer sau altă unealtă pentru AUR ca user normal! Întotdeauna!

LLE: tv-maxe-git funcționează pe Arch:

Attached Files


Edited by shogun1, 06 August 2016 - 17:23.
Completări


#29
xxvirusxx

xxvirusxx

    Retired

  • Grup: Senior Members
  • Posts: 13,314
  • Înscris: 11.11.2005
@qlimax1975

Baga in Terminal:
 sudo pacman -S a52dec autofs faac faad2 flac lame libdca libdv libmad libmpeg2 libtheora libvorbis libxv wavpack x264 gstreamer0.10-plugins

LE. Si da, cum zic colegii ai nevoie de python2-dbus, maintainer-ul nu a mai facut update...

De exemplu daca vrei sa folosesti Firefox...cu pepperflash....ai tutorial...etc.. )

Edited by xxvirusxx, 06 August 2016 - 23:09.


#30
qlimax1975

qlimax1975

    Member

  • Grup: Members
  • Posts: 746
  • Înscris: 07.03.2010
Multumesc pt raspunsuri, si ca aveti rabdare cu mine. Am instalat tv-maxe din nou, acum se deschide dar se inchide imediat


[[email protected] ~]$ tv-maxe
Pychromecast not available
Init petrodava...
** Message: pygobject_register_sinkfunc is deprecated (GstObject)
Traceback (most recent call last):
  File "tvmaxe.py", line 3318, in <module>
    main = TVMaxe()
  File "tvmaxe.py", line 302, in __init__
    self.powerManager = dbus.SessionBus().get_object("org.freedesktop.PowerManagement", "/org/freedesktop/PowerManagement/Inhibit")
  File "/usr/lib/python2.7/site-packages/dbus/bus.py", line 241, in get_object
    follow_name_owner_changes=follow_name_owner_changes)
  File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 248, in __init__
    self._named_service = conn.activate_name_owner(bus_name)
  File "/usr/lib/python2.7/site-packages/dbus/bus.py", line 180, in activate_name_owner
    self.start_service_by_name(bus_name)
  File "/usr/lib/python2.7/site-packages/dbus/bus.py", line 278, in start_service_by_name
    'su', (bus_name, flags)))
  File "/usr/lib/python2.7/site-packages/dbus/connection.py", line 651, in call_blocking
    message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.PowerManagement was not provided by any .service files
[[email protected] ~]$

#31
shogun1

shogun1

    Cranky old n00b ☯

  • Grup: Senior Members
  • Posts: 7,540
  • Înscris: 31.01.2009
Regret, nu cred ca vei reusi ceva notabil, pachetul trebuie rescris cu noile specificatii python. La mine functioneaza (inca?) deoarece e instalat de mult. Poti incerca sa descarci si sa instalezi din surse, cel putin pana maintainerul il rescrie.

#32
qlimax1975

qlimax1975

    Member

  • Grup: Members
  • Posts: 746
  • Înscris: 07.03.2010
Multumes

View Postshogun1, on 06 august 2016 - 20:11, said:

Regret, nu cred ca vei reusi ceva notabil, pachetul trebuie rescris cu noile specificatii python. La mine functioneaza (inca?) deoarece e instalat de mult. Poti incerca sa descarci si sa instalezi din surse, cel putin pana maintainerul il rescrie.
Multumesc oricum!

Mai o intrebare: programele instalate cu yaourt am inteles ca nu isi fac update, doar cele cu pacman. cum le facem update la alea?

Edited by qlimax1975, 06 August 2016 - 20:29.


#33
AnbuBlack

AnbuBlack

    Member

  • Grup: Members
  • Posts: 469
  • Înscris: 25.01.2012

View Postqlimax1975, on 06 august 2016 - 20:28, said:


Mai o intrebare: programele instalate cu yaourt am inteles ca nu isi fac update, doar cele cu pacman. cum le facem update la alea?

Cum să nu-și facă update? yaourt -U (update la tot sistemul inclusiv pachete instalate cu pacman); yaourt -u (update numai la pachete instalate din AUR).

Man page.

#34
xxvirusxx

xxvirusxx

    Retired

  • Grup: Senior Members
  • Posts: 13,314
  • Înscris: 11.11.2005

View Postshogun1, on 06 august 2016 - 20:11, said:

Regret, nu cred ca vei reusi ceva notabil, pachetul trebuie rescris cu noile specificatii python.


Nu trebuie Posted Image
Merge cu python2-dbus. Cand am facut eu reinstalare(2-3 sapt in urma) nici in AUR(comentarii) nu era specificat acest pachet, l-am descoperit pe google la alte distributii Posted Image


@qlimax1975

Update si upgrade
 yaourt -Syu

Attached Files


Edited by xxvirusxx, 06 August 2016 - 21:52.


#35
qlimax1975

qlimax1975

    Member

  • Grup: Members
  • Posts: 746
  • Înscris: 07.03.2010

View Postxxvirusxx, on 06 august 2016 - 21:43, said:

Nu trebuie Posted Image
Merge cu python2-dbus. Cand am facut eu reinstalare(2-3 sapt in urma) nici in AUR(comentarii) nu era specificat acest pachet, l-am descoperit pe google la alte distributii Posted Image


@qlimax1975

Update si upgrade
 yaourt -Syu

Nu merge, am incercat. Adica merge se instaleaza, dar cand deschid programul se inchide aproape instant.

uite inca o data cand deschid in terminal:

Pychromecast not available
Init petrodava...
** Message: pygobject_register_sinkfunc is deprecated (GstObject)
Traceback (most recent call last):
  File "tvmaxe.py", line 3318, in <module>
    main = TVMaxe()
  File "tvmaxe.py", line 302, in __init__
    self.powerManager = dbus.SessionBus().get_object("org.freedesktop.PowerManagement", "/org/freedesktop/PowerManagement/Inhibit")
  File "/usr/lib/python2.7/site-packages/dbus/bus.py", line 241, in get_object
    follow_name_owner_changes=follow_name_owner_changes)
  File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 248, in __init__
    self._named_service = conn.activate_name_owner(bus_name)
  File "/usr/lib/python2.7/site-packages/dbus/bus.py", line 180, in activate_name_owner
    self.start_service_by_name(bus_name)
  File "/usr/lib/python2.7/site-packages/dbus/bus.py", line 278, in start_service_by_name
    'su', (bus_name, flags)))
  File "/usr/lib/python2.7/site-packages/dbus/connection.py", line 651, in call_blocking
    message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.PowerManagement was not provided by any .service files
[[email protected] ~]$

Edited by qlimax1975, 06 August 2016 - 21:52.


#36
xxvirusxx

xxvirusxx

    Retired

  • Grup: Senior Members
  • Posts: 13,314
  • Înscris: 11.11.2005
Ai instalat python2-dbus ??
sudo pacman -S python2-dbus

PS. Daca apare --reinstalling, inseamna ca este instalat.

Edited by xxvirusxx, 06 August 2016 - 21:55.


Anunturi

Chirurgia cranio-cerebrală minim invazivă Chirurgia cranio-cerebrală minim invazivă

Tehnicile minim invazive impun utilizarea unei tehnologii ultramoderne.

Endoscoapele operatorii de diverse tipuri, microscopul operator dedicat, neuronavigația, neuroelectrofiziologia, tehnicile avansate de anestezie, chirurgia cu pacientul treaz reprezintă armamentarium fără de care neurochirurgia prin "gaura cheii" nu ar fi posibilă. Folosind tehnicile de mai sus, tratăm un spectru larg de patologii cranio-cerebrale.

www.neurohope.ro

0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users

Forumul Softpedia foloseste "cookies" pentru a imbunatati experienta utilizatorilor Accept
Pentru detalii si optiuni legate de cookies si datele personale, consultati Politica de utilizare cookies si Politica de confidentialitate